<?php
include '../koneksi.php';

header("Content-type: application/vnd-ms-excel");
header("Content-Disposition: attachment; filename=Laporan_Keuangan.xls");

$tanggal_dari   = $_GET['tanggal_dari'];
$tanggal_sampai = $_GET['tanggal_sampai'];
$kategori       = $_GET['kategori'];
?>

<table border="1" width="100%">
<tr>
  <th colspan="6">LAPORAN SISTEM INFORMASI KEUANGAN</th>
</tr>
<tr>
  <td>Dari Tanggal</td>
  <td colspan="5"><?= date('d/m/Y',strtotime($tanggal_dari)) ?></td>
</tr>
<tr>
  <td>Sampai Tanggal</td>
  <td colspan="5"><?= date('d/m/Y',strtotime($tanggal_sampai)) ?></td>
</tr>
<tr>
  <td>Kategori</td>
  <td colspan="5">
    <?= $kategori=="semua" ? "SEMUA KATEGORI" : $kategori ?>
  </td>
</tr>
</table>

<br>

<table border="1" width="100%">
<tr>
  <th>NO</th>
  <th>TANGGAL</th>
  <th>KATEGORI</th>
  <th>KETERANGAN</th>
  <th>PEMASUKAN</th>
  <th>PENGELUARAN</th>
</tr>

<?php
$no=1;
$total_masuk=0;
$total_keluar=0;

$where_kategori="";
if($kategori!="semua"){
  $where_kategori="AND transaksi_kategori='$kategori'";
}

$data=mysqli_query($koneksi,"
SELECT 
  t.*,
  k.kategori,
  p.nama_project
FROM transaksi t
LEFT JOIN kategori k ON k.kategori_id=t.transaksi_kategori
LEFT JOIN project p ON p.id=t.transaksi_project
WHERE transaksi_tanggal BETWEEN '$tanggal_dari' AND '$tanggal_sampai'
$where_kategori
ORDER BY transaksi_tanggal ASC
");

while($d=mysqli_fetch_array($data)){
?>
<tr>
<td><?= $no++ ?></td>
<td><?= date('d/m/Y',strtotime($d['transaksi_tanggal'])) ?></td>
<td><?= $d['kategori'] ?></td>

<td>
<?= $d['transaksi_keterangan'] ?>
<?php if($d['nama_project']!=""){ ?>
 (Project: <?= $d['nama_project'] ?>)
<?php } ?>
</td>

<td>
<?php
if($d['transaksi_jenis']=="Pemasukan"){
  echo $d['transaksi_nominal'];
  $total_masuk += $d['transaksi_nominal'];
}else{
  echo "0";
}
?>
</td>

<td>
<?php
if($d['transaksi_jenis']=="Pengeluaran"){
  echo $d['transaksi_nominal'];
  $total_keluar += $d['transaksi_nominal'];
}else{
  echo "0";
}
?>
</td>
</tr>
<?php } ?>

<tr>
  <th colspan="4">TOTAL</th>
  <th><?= $total_masuk ?></th>
  <th><?= $total_keluar ?></th>
</tr>

<tr>
  <th colspan="5">SALDO</th>
  <th><?= $total_masuk - $total_keluar ?></th>
</tr>
</table>
